import java.awt.*;
import java.util.HashMap;

public class DrawingObjectArmoredCar implements IDrawingObject{
    private DrawingArmoredCar armoredCar = null;

    public DrawingObjectArmoredCar(DrawingArmoredCar armoredCar) {
        this.armoredCar = armoredCar;
    }

    @Override
    public float getStep() {
        if (armoredCar != null)
            return armoredCar.armoredCar.step;
        return 0;
    }

    @Override
    public void SetObject(int x, int y, int width, int height) {
        if (armoredCar != null)
            armoredCar.SetPosition(x, y, width, height);
    }

    @Override
    public void MoveObject(Direction direction) {
        if (armoredCar != null)
            armoredCar.MoveTransport(direction);
    }

    @Override
    public void DrawingObject(Graphics2D g) {
        if (armoredCar != null)
            armoredCar.DrawTransport(g);
    }

    @Override
    public HashMap<String, Float> GetCurrentPosition() {
        return armoredCar.GetCurrentPosition();
    }
}
